Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.group.swt.internal.collapsable
Class CollapsableGroupSWTRenderer

    java.lang.Object
      org.eclipse.emf.ecp.view.model.common.AbstractRenderer<VELEMENT>
          org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer<VELEMENT>
              org.eclipse.emf.ecp.view.spi.core.swt.ContainerSWTRenderer<VGroup>
                  org.eclipse.emf.ecp.view.group.swt.internal.collapsable.CollapsableGroupSWTRenderer

    public class CollapsableGroupSWTRenderer

extends ContainerSWTRenderer<VGroup>

A Group renderer, which is collapsable.

Author:
  Eugen Neufeld, jfaltermeier

Constructor Summary
`CollapsableGroupSWTRenderer(VGroup vElement, ViewModelContext viewContext, ReportService reportService, EMFFormsRendererFactory factory, EMFFormsDatabinding emfFormsDatabinding)` Default constructor.

Method Summary

Methods inherited from class org.eclipse.emf.ecp.view.spi.core.swt.ContainerSWTRenderer
`getGridDescription`

Methods inherited from class org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer
`finalizeRendering, init, render`

Methods inherited from class org.eclipse.emf.ecp.view.model.common.AbstractRenderer
`getVElement, getViewModelContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollapsableGroupSWTRenderer

    @Inject
    public CollapsableGroupSWTRenderer(VGroup vElement,
                                              ViewModelContext viewContext,
                                              ReportService reportService,
                                              EMFFormsRendererFactory factory,
                                              EMFFormsDatabinding emfFormsDatabinding)

  Default constructor.

  Parameters:
    `vElement` - the view model element to be rendered
    `viewContext` - the view context
    `reportService` - the `ReportService`
    `factory` - the `EMFFormsRendererFactory`
    `emfFormsDatabinding` - The `EMFFormsDatabinding`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.